---
document: modulemd
version: 2
data:
  name: postgresql
  stream: "15"
  version: 9020020230413133347
  context: 8cf767d6
  arch: ppc64le
  summary: PostgreSQL server and client module
  description: >-
    PostgreSQL is an advanced Object-Relational database management system (DBMS).
    The postgresql-server package contains the programs needed to create and run a
    PostgreSQL server, which will in turn allow you to create and maintain PostgreSQL
    databases. The base postgresql package contains the client programs that you'll
    need to access a PostgreSQL DBMS server.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el9]
    requires:
      platform: [el9]
  references:
    community: https://www.postgresql.org
    documentation: https://www.postgresql.org/docs/15/index.html
    tracker: http://bugzilla.redhat.com
  profiles:
    client:
      rpms:
      - postgresql
    server:
      rpms:
      - postgresql-server
  api:
    rpms:
    - postgresql
    - postgresql-server
  components:
    rpms:
      pg_repack:
        rationale: pg_repack extension
        ref: 7701b5515ebb4e1240b7d34e7464a9aecb00ed1d
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      pgaudit:
        rationale: pgaudit extension
        ref: 42824b2aa861114fc80549aeef17fce61323dd63
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      postgres-decoderbufs:
        rationale: postgres-decoderbufs extension
        ref: 1b440a90da04c4f6e4929b72d89b8383c9709915
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      postgresql:
        rationale: Module API.
        ref: a20bc75977038e2d4acc70c2090f6af4363d6acc
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - pg_repack-0:1.4.8-1.module_el9.2.0+22+09653793.ppc64le
    - pg_repack-0:1.4.8-1.module_el9.2.0+22+09653793.src
    - pg_repack-debuginfo-0:1.4.8-1.module_el9.2.0+22+09653793.ppc64le
    - pg_repack-debugsource-0:1.4.8-1.module_el9.2.0+22+09653793.ppc64le
    - pgaudit-0:1.7.0-1.module_el9.2.0+22+09653793.ppc64le
    - pgaudit-0:1.7.0-1.module_el9.2.0+22+09653793.src
    - pgaudit-debuginfo-0:1.7.0-1.module_el9.2.0+22+09653793.ppc64le
    - pgaudit-debugsource-0:1.7.0-1.module_el9.2.0+22+09653793.ppc64le
    - postgres-decoderbufs-0:1.9.7-1.Final.module_el9.2.0+22+09653793.ppc64le
    - postgres-decoderbufs-0:1.9.7-1.Final.module_el9.2.0+22+09653793.src
    - postgres-decoderbufs-debuginfo-0:1.9.7-1.Final.module_el9.2.0+22+09653793.ppc64le
    - postgres-decoderbufs-debugsource-0:1.9.7-1.Final.module_el9.2.0+22+09653793.ppc64le
    - postgresql-0:15.2-1.module_el9.2.0+22+09653793.ppc64le
    - postgresql-0:15.2-1.module_el9.2.0+22+09653793.src
    - postgresql-contrib-0:15.2-1.module_el9.2.0+22+09653793.ppc64le
    - postgresql-contrib-debuginfo-0:15.2-1.module_el9.2.0+22+09653793.ppc64le
    - postgresql-debuginfo-0:15.2-1.module_el9.2.0+22+09653793.ppc64le
    - postgresql-debugsource-0:15.2-1.module_el9.2.0+22+09653793.ppc64le
    - postgresql-docs-0:15.2-1.module_el9.2.0+22+09653793.ppc64le
    - postgresql-docs-debuginfo-0:15.2-1.module_el9.2.0+22+09653793.ppc64le
    - postgresql-plperl-0:15.2-1.module_el9.2.0+22+09653793.ppc64le
    - postgresql-plperl-debuginfo-0:15.2-1.module_el9.2.0+22+09653793.ppc64le
    - postgresql-plpython3-0:15.2-1.module_el9.2.0+22+09653793.ppc64le
    - postgresql-plpython3-debuginfo-0:15.2-1.module_el9.2.0+22+09653793.ppc64le
    - postgresql-pltcl-0:15.2-1.module_el9.2.0+22+09653793.ppc64le
    - postgresql-pltcl-debuginfo-0:15.2-1.module_el9.2.0+22+09653793.ppc64le
    - postgresql-private-devel-0:15.2-1.module_el9.2.0+22+09653793.ppc64le
    - postgresql-private-libs-0:15.2-1.module_el9.2.0+22+09653793.ppc64le
    - postgresql-private-libs-debuginfo-0:15.2-1.module_el9.2.0+22+09653793.ppc64le
    - postgresql-server-0:15.2-1.module_el9.2.0+22+09653793.ppc64le
    - postgresql-server-debuginfo-0:15.2-1.module_el9.2.0+22+09653793.ppc64le
    - postgresql-server-devel-0:15.2-1.module_el9.2.0+22+09653793.ppc64le
    - postgresql-server-devel-debuginfo-0:15.2-1.module_el9.2.0+22+09653793.ppc64le
    - postgresql-static-0:15.2-1.module_el9.2.0+22+09653793.ppc64le
    - postgresql-test-0:15.2-1.module_el9.2.0+22+09653793.ppc64le
    - postgresql-test-debuginfo-0:15.2-1.module_el9.2.0+22+09653793.ppc64le
    - postgresql-test-rpm-macros-0:15.2-1.module_el9.2.0+22+09653793.noarch
    - postgresql-upgrade-0:15.2-1.module_el9.2.0+22+09653793.ppc64le
    - postgresql-upgrade-debuginfo-0:15.2-1.module_el9.2.0+22+09653793.ppc64le
    - postgresql-upgrade-devel-0:15.2-1.module_el9.2.0+22+09653793.ppc64le
    - postgresql-upgrade-devel-debuginfo-0:15.2-1.module_el9.2.0+22+09653793.ppc64le
...
---
document: modulemd
version: 2
data:
  name: postgresql-devel
  stream: "15"
  version: 9020020230413133347
  context: 8cf767d6
  arch: ppc64le
  summary: PostgreSQL server and client module
  description: >-
    PostgreSQL is an advanced Object-Relational database management system (DBMS).
    The postgresql-server package contains the programs needed to create and run a
    PostgreSQL server, which will in turn allow you to create and maintain PostgreSQL
    databases. The base postgresql package contains the client programs that you'll
    need to access a PostgreSQL DBMS server.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el9]
    requires:
      platform: [el9]
      postgresql: [15]
  references:
    community: https://www.postgresql.org
    documentation: https://www.postgresql.org/docs/15/index.html
    tracker: http://bugzilla.redhat.com
  profiles:
    client:
      rpms:
      - postgresql
    server:
      rpms:
      - postgresql-server
  api:
    rpms:
    - postgresql
    - postgresql-server
  components:
    rpms:
      pg_repack:
        rationale: pg_repack extension
        ref: 7701b5515ebb4e1240b7d34e7464a9aecb00ed1d
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      pgaudit:
        rationale: pgaudit extension
        ref: 42824b2aa861114fc80549aeef17fce61323dd63
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      postgres-decoderbufs:
        rationale: postgres-decoderbufs extension
        ref: 1b440a90da04c4f6e4929b72d89b8383c9709915
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      postgresql:
        rationale: Module API.
        ref: a20bc75977038e2d4acc70c2090f6af4363d6acc
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
...
